=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2010-02-22 16:14:47 +0000
+++ drizzled/drizzled.cc	2010-02-26 08:21:58 +0000
@@ -1032,8 +1032,6 @@
   {"show_create_db",       (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SHOW_CREATE_DB]), SHOW_LONG_STATUS},
   {"show_create_table",    (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SHOW_CREATE]), SHOW_LONG_STATUS},
   {"show_errors",          (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SHOW_ERRORS]), SHOW_LONG_STATUS},
-  {"show_fields",          (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SHOW_FIELDS]), SHOW_LONG_STATUS},
-  {"show_keys",            (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SHOW_KEYS]), SHOW_LONG_STATUS},
   {"show_warnings",        (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_SHOW_WARNS]), SHOW_LONG_STATUS},
   {"truncate",             (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_TRUNCATE]), SHOW_LONG_STATUS},
   {"unlock_tables",        (char*) offsetof(system_status_var, com_stat[(uint32_t) SQLCOM_UNLOCK_TABLES]), SHOW_LONG_STATUS},

=== modified file 'drizzled/enum.h'
--- drizzled/enum.h	2010-02-18 06:17:33 +0000
+++ drizzled/enum.h	2010-02-26 08:21:58 +0000
@@ -288,8 +288,6 @@
   SQLCOM_TRUNCATE,
   SQLCOM_DROP_TABLE,
   SQLCOM_DROP_INDEX,
-  SQLCOM_SHOW_FIELDS,
-  SQLCOM_SHOW_KEYS,
   SQLCOM_SHOW_CREATE,
   SQLCOM_SHOW_CREATE_DB,
   SQLCOM_LOAD,

=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2010-02-04 08:14:46 +0000
+++ drizzled/field.cc	2010-02-26 08:21:58 +0000
@@ -406,16 +406,6 @@
   return pack_length();
 }
 
-uint32_t Field::pack_length_from_metadata(uint32_t field_metadata)
-{
-  return field_metadata;
-}
-
-uint32_t Field::row_pack_length()
-{
-  return 0;
-}
-
 uint32_t Field::data_length()
 {
   return pack_length();
@@ -596,22 +586,6 @@
   table_name= &table_arg->alias;
 }
 
-String *Field::val_int_as_str(String *val_buffer, bool unsigned_val)
-{
-  const CHARSET_INFO * const cs= &my_charset_bin;
-  uint32_t length;
-  int64_t value= val_int();
-
-  if (val_buffer->alloc(MY_INT64_NUM_DECIMAL_DIGITS))
-    return 0;
-  length= (uint32_t) (*cs->cset->int64_t10_to_str)(cs, (char*) val_buffer->ptr(),
-                                                MY_INT64_NUM_DECIMAL_DIGITS,
-                                                unsigned_val ? 10 : -10,
-                                                value);
-  val_buffer->length(length);
-  return val_buffer;
-}
-
 /// This is used as a table name when the table structure is not set up
 Field::Field(unsigned char *ptr_arg,
              uint32_t length_arg,
@@ -667,13 +641,6 @@
   }
 }
 
-int Field::compatible_field_size(uint32_t field_metadata)
-{
-  uint32_t const source_size= pack_length_from_metadata(field_metadata);
-  uint32_t const destination_size= row_pack_length();
-  return (source_size <= destination_size);
-}
-
 int Field::store(const char *to, 
                  uint32_t length,
                  const CHARSET_INFO * const cs,

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2010-02-04 08:14:46 +0000
+++ drizzled/field.h	2010-02-26 08:21:58 +0000
@@ -189,12 +189,6 @@
      This trickery is used to decrease a number of malloc calls.
   */
   virtual String *val_str(String*, String *)=0;
-  /**
-   * Interpret field value as an integer but return the result as a string.
-   *
-   * This is used for printing bit_fields as numbers while debugging.
-   */
-  String *val_int_as_str(String *val_buffer, bool unsigned_flag);
   /*
    str_needs_quotes() returns true if the value returned by val_str() needs
    to be quoted when used in constructing an SQL query.
@@ -262,35 +256,6 @@
    * table, which is located on disk).
    */
   virtual uint32_t pack_length_in_rec() const;
-  /**
-    Check to see if field size is compatible with destination.
-
-    This method is used in row-based replication to verify that the slave's
-    field size is less than or equal to the master's field size. The
-    encoded field metadata (from the master or source) is decoded and compared
-    to the size of this field (the slave or destination).
-
-    @param   field_metadata   Encoded size in field metadata
-
-    @retval 0 if this field's size is < the source field's size
-    @retval 1 if this field's size is >= the source field's size
-  */
-  virtual int compatible_field_size(uint32_t field_metadata);
-  virtual uint32_t pack_length_from_metadata(uint32_t field_metadata);
-
-  /*
-    This method is used to return the size of the data in a row-based
-    replication row record. The default implementation of returning 0 is
-    designed to allow fields that do not use metadata to return true (1)
-    from compatible_field_size() which uses this function in the comparison.
-    The default value for field metadata for fields that do not have
-    metadata is 0. Thus, 0 == 0 means the fields are compatible in size.
-
-    Note: While most classes that override this method return pack_length(),
-    the classes Field_varstring, and Field_blob return
-    field_length + 1, field_length, and pack_length_no_ptr() respectfully.
-  */
-  virtual uint32_t row_pack_length();
 
   /**
    * Return the "real size" of the data in memory.

=== modified file 'drizzled/field/blob.h'
--- drizzled/field/blob.h	2010-02-04 08:14:46 +0000
+++ drizzled/field/blob.h	2010-02-26 08:21:58 +0000
@@ -132,7 +132,6 @@
   */
   uint32_t pack_length_no_ptr() const
   { return (uint32_t) (packlength); }
-  uint32_t row_pack_length() { return pack_length_no_ptr(); }
   uint32_t sort_length() const;
   virtual uint32_t max_data_length() const
   {

=== modified file 'drizzled/field/decimal.cc'
--- drizzled/field/decimal.cc	2010-02-04 08:14:46 +0000
+++ drizzled/field/decimal.cc	2010-02-26 08:21:58 +0000
@@ -356,35 +356,6 @@
 }
 
 
-/**
-  Check to see if field size is compatible with destination.
-
-  This method is used in row-based replication to verify that the slave's
-  field size is less than or equal to the master's field size. The
-  encoded field metadata (from the master or source) is decoded and compared
-  to the size of this field (the slave or destination).
-
-  @param   field_metadata   Encoded size in field metadata
-
-  @retval 0 if this field's size is < the source field's size
-  @retval 1 if this field's size is >= the source field's size
-*/
-int Field_decimal::compatible_field_size(uint32_t field_metadata)
-{
-  int compatible= 0;
-  uint32_t const source_precision= (field_metadata >> 8U) & 0x00ff;
-  uint32_t const source_decimal= field_metadata & 0x00ff;
-  uint32_t const source_size= my_decimal_get_binary_size(source_precision,
-                                                         source_decimal);
-  uint32_t const destination_size= row_pack_length();
-  compatible= (source_size <= destination_size);
-  if (compatible)
-    compatible= (source_precision <= precision) &&
-      (source_decimal <= decimals());
-  return (compatible);
-}
-
-
 uint32_t Field_decimal::is_equal(CreateField *new_field_ptr)
 {
   return ((new_field_ptr->sql_type == real_type()) &&

=== modified file 'drizzled/field/decimal.h'
--- drizzled/field/decimal.h	2010-02-04 08:14:46 +0000
+++ drizzled/field/decimal.h	2010-02-26 08:21:58 +0000
@@ -82,8 +82,6 @@
   uint32_t size_of() const { return sizeof(*this); }
   uint32_t pack_length() const { return (uint32_t) bin_size; }
   uint32_t pack_length_from_metadata(uint32_t field_metadata);
-  uint32_t row_pack_length() { return pack_length(); }
-  int compatible_field_size(uint32_t field_metadata);
   uint32_t is_equal(CreateField *new_field);
   virtual const unsigned char *unpack(unsigned char* to, const unsigned char *from,
                                       uint32_t param_data, bool low_byte_first);

=== modified file 'drizzled/field/double.h'
--- drizzled/field/double.h	2010-02-04 08:14:46 +0000
+++ drizzled/field/double.h	2010-02-26 08:21:58 +0000
@@ -65,7 +65,6 @@
   int cmp(const unsigned char *,const unsigned char *);
   void sort_string(unsigned char *buff,uint32_t length);
   uint32_t pack_length() const { return sizeof(double); }
-  uint32_t row_pack_length() { return pack_length(); }
   void sql_type(String &str) const;
 };
 

=== modified file 'drizzled/field/enum.h'
--- drizzled/field/enum.h	2010-02-04 08:14:46 +0000
+++ drizzled/field/enum.h	2010-02-26 08:21:58 +0000
@@ -99,10 +99,6 @@
   {
     return (field_metadata & 0x00ff);
   }
-  uint32_t row_pack_length()
-  { 
-    return pack_length();
-  }
   virtual bool zero_pack() const
   {
     return false;

=== modified file 'drizzled/field/varstring.h'
--- drizzled/field/varstring.h	2010-02-04 08:14:46 +0000
+++ drizzled/field/varstring.h	2010-02-26 08:21:58 +0000
@@ -59,7 +59,6 @@
 
   enum_field_types type() const { return DRIZZLE_TYPE_VARCHAR; }
   enum ha_base_keytype key_type() const;
-  uint32_t row_pack_length() { return field_length; }
   bool zero_pack() const { return 0; }
   int  reset(void) { memset(ptr, 0, field_length+length_bytes); return 0; }
   uint32_t pack_length() const { return (uint32_t) field_length+length_bytes; }

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2010-02-22 16:14:47 +0000
+++ drizzled/sql_lex.cc	2010-02-26 08:21:58 +0000
@@ -1876,13 +1876,10 @@
 */
 bool LEX::only_view_structure()
 {
-  switch (sql_command) {
-  case SQLCOM_SHOW_CREATE:
-  case SQLCOM_SHOW_FIELDS:
+  if (sql_command == SQLCOM_SHOW_CREATE)
     return true;
-  default:
-    return false;
-  }
+
+  return false;
 }
 
 /*
@@ -1897,13 +1894,10 @@
 */
 bool LEX::need_correct_ident()
 {
-  switch(sql_command)
-  {
-  case SQLCOM_SHOW_CREATE:
+  if (sql_command== SQLCOM_SHOW_CREATE)
     return true;
-  default:
-    return false;
-  }
+
+  return false;
 }
 
 /**

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2010-02-25 04:23:03 +0000
+++ drizzled/sql_parse.cc	2010-02-26 08:21:58 +0000
@@ -127,8 +127,6 @@
   sql_command_flags[SQLCOM_REPLACE]=        CF_CHANGES_DATA | CF_HAS_ROW_COUNT;
   sql_command_flags[SQLCOM_REPLACE_SELECT]= CF_CHANGES_DATA | CF_HAS_ROW_COUNT;
 
-  sql_command_flags[SQLCOM_SHOW_FIELDS]=      CF_STATUS_COMMAND;
-  sql_command_flags[SQLCOM_SHOW_KEYS]=        CF_STATUS_COMMAND;
   sql_command_flags[SQLCOM_SHOW_WARNS]= CF_STATUS_COMMAND;
   sql_command_flags[SQLCOM_SHOW_ERRORS]= CF_STATUS_COMMAND;
   sql_command_flags[SQLCOM_SHOW_CREATE_DB]=  CF_STATUS_COMMAND;

